Linking OpenCV to "EasyTello" drone code for stream viewing through Jetson Nano

Running into this problem when trying to establish a connection between my drone and my jetson nano. (Using the Tello Edu drone). I’m trying to control the drone through the “EasyTello” github repository of code, however whenever I try and install the package I get this error:

pip install easyTello
Defaulting to user installation because normal site-packages is not writeable
Requirement already satisfied: easyTello in /usr/local/lib/python3.6/dist-packages/easytello-0.0.7-py3.6.egg (0.0.7)
ERROR: Could not find a version that satisfies the requirement opencv-python (from easyTello) (from versions: none)
ERROR: No matching distribution found for opencv-python (from easyTello)

If I try and use python setup.py install I get this error:

Installed /usr/local/lib/python3.6/dist-packages/easytello-0.0.7-py3.6.egg
Processing dependencies for easytello==0.0.7
Searching for opencv-python
Reading https://pypi.org/simple/opencv-python/
No local packages or working download links found for opencv-python
error: Could not find suitable distribution for Requirement.parse(‘opencv-python’)

I know I have OpenCV on my Jetson because when I load up python and check the version it exists. I’m still newer to a lot of this and been stuck on this step for days now. Any light on what could be causing this problem would be a huge help

Thanks!

Hi,
Not sure but probably you need to

$ sudo apt-get install python3-opencv

Don’t see discussion about running this application. May need other users to share experience.